# ParseProductProperties

### Description

Parses a product properties XML fragment and populates a [IQlmProductProperties ](/docs/api-reference/.net-api/iqlmproductproperties.md)object with the results.

```csharp
IQlmProductProperties ParseProductProperties(string productPropertiesXml, 
                                             out string errorMessage)
```

### Arguments

| Name                 | Data Type | Description                              |
| -------------------- | :-------: | ---------------------------------------- |
| productPropertiesXml |   string  | XML fragment of product properties       |
| errorMessage         |   string  | an error message if the operation fails. |

### Return

|                                    Data Type                                   | Description                                                |
| :----------------------------------------------------------------------------: | ---------------------------------------------------------- |
| [IQlmProductProperties](/docs/api-reference/.net-api/iqlmproductproperties.md) | object populated with the data read from the XML fragment. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/parseproductproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
